<ion-header>
  <ion-toolbar color="danger">
    <ion-buttons>
      <ion-button position="float" icon-only color="light" [routerLink]="['/home']" ><ion-icon name="close"></ion-icon></ion-button>
      <ion-title>View Payslips</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  
  <ion-button class="ion-margin ion-align-items-center"[routerLink]="['/new-payslips']" color="danger">Generate New Payslips</ion-button>

  <ion-item>
    <ion-label>
      <h3>List of Contracts</h3>
    </ion-label>
  </ion-item>
  
  <ion-list>
    <ion-item-sliding *ngFor="let item of payslips; let i = index">
      <ion-item>
        <ion-label>
          <p>No. {{ i+1 }}</p>
          <p>Date Issued: {{ item.date_issued.substr(0, 10) }}</p>
          <p>Staff Id: {{ item.staff_id }}</p>
          <p>Basic: {{ item.basic }}</p>
        </ion-label>
      </ion-item>
  
    </ion-item-sliding>
  </ion-list>
</ion-content>
